include:
  - project: "uis/devops/continuous-delivery/ci-templates"
    file: "/auto-devops/common-pipeline.yml"
    ref: v3.6.0
  - project: "uis/devops/continuous-delivery/ci-templates"
    file: "/auto-devops/artifact-registry.yml"
    ref: v3.6.0
  - project: "uis/devops/continuous-delivery/ci-templates"
    file: "/auto-devops/release-it.yml"
    ref: v3.6.0
  - project: "uis/devops/continuous-delivery/ci-templates"
    file: "/commitlint.yml"
    ref: v3.2.0

variables:
  DAST_DISABLED: "1"
  TEST_DISABLED: "1"
  PYTHON_BUILD_DIST_DISABLED: "1"
  PUBLISH_PYTHON_PACKAGE_DISABLED: "1"
  # Set CI_APPLICATION_REPOSITORY so that we always publish images to the same container registry
  # repository. This helps ensure that we don't get an explosion of container registry repositories
  # with a single tag in for every branch which ever existed.
  CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE
  USE_MERGE_REQUEST_RELEASE_FLOW: "1"
